<?php

namespace Addons\DyyEmail;

use Addons\DyyEmail\Constant\Constant;
use Illuminate\Filesystem\Filesystem;
use Illuminate\Support\Facades\Artisan;

class App
{
    public static function install()
    {
        Artisan::call('migrate', ['--path' => base_path('/addons/' . Constant::APP_SIGN . '/databases/migrations'), '--realpath' => true, '--force' => true]);
        // 静态资源目录
        $file = app()->make(Filesystem::class);
        $file->link('../../addons/' . Constant::APP_SIGN . '/public', base_path('public/addons/' . Constant::APP_SIGN));
        Artisan::call('optimize:clear');
    }


    public static function uninstall()
    {
        @unlink(base_path('public/addons/' . Constant::APP_SIGN));
        Artisan::call('migrate:rollback', ['--path' => base_path('/addons/' . Constant::APP_SIGN . '/databases/migrations'), '--realpath' => true, '--force' => true]);
        Artisan::call('optimize:clear');

    }


    public static function upgrade()
    {
        Artisan::call('migrate', ['--path' => base_path('/addons/' . Constant::APP_SIGN . '/databases/migrations'), '--realpath' => true, '--force' => true]);
        Artisan::call('optimize:clear');
    }
}
