<?php

namespace Addons\DyyEmail\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Support\Facades\Log;

class CompanyRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.3
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'company' => 'required',
            'user_id' => 'required|exists:users,id',
            'name' => 'required',
            'mobile' => 'required|unique:dyyemails',
            'email' => 'required|email',
            'password' => 'required',
        ];

    }

    public function messages()
    {
        return [

            'name.required' => '标题不能为空',
            'url.required' => '跳转链接不能为空',
            'banner_area_id.required' => '所属banner位不能为空',
            'banner_area_id.exists' => '所属banner位不存在',
            'path.required' => '需要上传一张图片'
        ];
    }
}
