<?php

namespace Addons\DyyEmail\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Support\Facades\Log;

class UserRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.3
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'user_id' => 'required|exists:users,id',
            'name' => 'required',
            'mobile' => 'required|unique:dyyemails',
            'email' => 'required|email',
            'password' => 'required',
        ];

    }

    public function messages()
    {
        return [

            'user_id.required' => '请选择授权帐户',
            'user_id.exists' => '授权帐户不存在',
            'name.required' => '请填写联系人',
            'mobile.required' => '请填写手机号码',
            'mobile.unique' => '手机号码已被使用',
            'email.required' => '请填写邮箱',
            'email.email' => '邮箱格式不正确',
            'password.required' => '请填写密码',
        ];
    }
}
