<?php

namespace Addons\DyyEmail;
use Addons\DyyEmail\Commands\AppCommand;
use Addons\DyyEmail\Components\LayuiHeader;
use Addons\DyyEmail\Constant\Constant;
use App\Modules\AddonsMarket\Models\Addon;
use Illuminate\Support\ServiceProvider;

class MainServiceProvider extends ServiceProvider
{
    public function boot()
    {
        $this->loadViewsFrom(__DIR__ . '/resources/views', Constant::APP_SIGN);
        // 注册视图命名空间
        $this->loadRoutesFrom(__DIR__ . '/routes/admin.php');
        $this->commands([
            AppCommand::class,
        ]);
        $this->loadViewComponentsAs(null, [
                'admin.layui-header'=>LayuiHeader::class
        ]);
    }

    public function register()
    {
        $this->app->singleton('myAddons', function () {
            return collect(Addon::where('status', 1)->get())->map(function ($q) {
                return $q->sign;
            })->toArray();
        });
    }
}
