<x-layui-layout>
    <body>
    <div class="layui-form base-form" lay-filter="layuiadmin-form-tags" id="layuiadmin-app-form-tags">
        <div class="layui-tab layui-tab-card">
            @foreach (['danger', 'warning', 'success', 'info', 'error'] as $msg)
                @if(session()->has($msg))
                    <div class="flash-message {{ $msg  }}">
                        <p class="alert alert-success">
                            {{ session()->get($msg) }}
                        </p>
                    </div>
                @endif
            @endforeach
            @if ($errors->any())
                <div class="mb-4 font-medium text-sm text-red">
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </div>
            @endif

            <div class="layui-tab-content">
                <form class="layui-form set-form base-form" lay-filter="component-form-group">
                    <div class="layui-form-item">
                        @csrf
                        <div class="layui-form-item layui-hide">
                            <input type="button" lay-submit lay-filter="layuiadmin-app-create-user-form-submit"
                                   id="layuiadmin-app-create-form-submit" value="确认添加">
                        </div>
                    </div>
                </form>
                <div class="layui-form-item add-space-30">
                    <label class="layui-form-label">授权帐户</label>
                    <div class="layui-input-block">
                        <select name="user_id" lay-verify="select_admin">
                            <option value="">请选择</option>
                            @foreach($admins as $admin)
                                @continue(in_array($admin->id, $allUserIds))
                                <option value="{{ $admin->id }}">{{ $admin->email }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="layui-form-item add-space-30">
                    <label class="layui-form-label">联系人</label>
                    <div class="layui-input-block">
                        <input type="text" name="name" lay-verify="required" placeholder="请输入联系人"
                               autocomplete="off" class="layui-input">
                    </div>
                </div>
                <div class="layui-form-item add-space-30">
                    <label class="layui-form-label">手机号码</label>
                    <div class="layui-input-block">
                        <input type="text" name="mobile" lay-verify="required" placeholder="请输入手机号码"
                               autocomplete="off" class="layui-input">
                    </div>
                </div>
                <div class="layui-form-item add-space-30">
                    <label class="layui-form-label">邮箱</label>
                    <div class="layui-input-block">
                        <input type="email" name="email" lay-verify="required" placeholder="请输入邮箱"
                               autocomplete="off" class="layui-input">
                    </div>
                </div>
                <div class="layui-form-item add-space-30">
                    <label class="layui-form-label">密码</label>
                    <div class="layui-input-block">
                        <input type="password" name="password" lay-verify="required" placeholder="请输入密码"
                               autocomplete="off" class="layui-input">
                    </div>
                </div>
            </div>
        </div>
    </div>

    @section('scripts')
        <script src="{{ asset('addons/DyyEmail/js/admin/admin.dyyemail.js') }}"></script>
    @endsection
    @section('css')
        <link rel="stylesheet" href="{{  mix('/css/admin/admin.form.css') }}" media="all">
    @endsection
    </body>
</x-layui-layout>
